terms {base} | R Documentation

## Model Terms

### Description

The function `terms` is a generic function which can be used to extract terms objects from various kinds of R data objects.

### Usage

    terms(x, ...)

### Details

There are methods for classes `"aovlist"`, and `"terms"` `"formula"` (see `terms.formula`): the default method just extracts the `terms` component of the object (if any).

### Value

An object of class `c("terms", "formula")` which contains the terms representation of a symbolic model. See `terms.object` for its structure.

### See Also

`terms.object`, `terms.formula`, `lm`, `glm`, `formula`.